Subject: bug#15392: closed (Re: bug#15392: xorg-server FTBFS)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Sep 2013 13:12:03 +0000

Your bug report

#15392: xorg-server FTBFS

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15392: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15392
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15392: xorg-server FTBFS
From: [email-masked] (Ludovic Courtès)
To: Andreas Enge <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Wed, 25 Sep 2013 15:11:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> skribis:

> On Mon, Sep 23, 2013 at 09:39:12PM +0200, Ludovic Courtès wrote:
>> Could you try ‘strace -f’ so we see what goes on in the child?
>
> Thanks to joint work with Ludovic, the problem should be solved. Currently, 
> hydra.gnu.org does not pick up the git repository, but at least, locally
> xorg-server compiles and passes all its tests.

For the record, it was another /bin/sh issue, fixed by 2365338.

Closing the bug now.  :-)

> There is one question I still have concerning a path set by a configure flag,
> which I started out by setting arbitrarily:
>    (string-append "--with-xkb-output="
>                   "/tmp") ; FIXME: This is a bit doubtful; where should
>                           ; the compiled keyboard maps go?
>
> Do you have any knowledge or opinion on what we should do here?
> I suppose that we need a path to which the xserver can write at runtime,
> so it should be outside the store.

Looking at configure.ac, this is used to #define XKM_OUTPUT_DIR, which
ddxLoad.c describes like this:

--8<---------------cut here---------------start------------->8---
        /*
         * If XKM_OUTPUT_DIR specifies a path without a leading slash, it is
         * relative to the top-level XKB configuration directory.
         * Making the server write to a subdirectory of that directory
         * requires some work in the general case (install procedure
         * has to create links to /var or somesuch on many machines),
         * so we just compile into /usr/tmp for now.
         */
#ifndef XKM_OUTPUT_DIR
#define	XKM_OUTPUT_DIR	"compiled/"
#endif
--8<---------------cut here---------------end--------------->8---

I interpret it as /tmp being a good value.

At the same time, I wonder if the X server normally calls xkbcomp at
run time.

Thanks,
Ludo’.

Subject: xorg-server FTBFS
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Mon, 16 Sep 2013 03:22:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

xorg-server fails to build from source.  See below for the tail of the
build log.  This is with aae4ead8142d4fd7c674a1e6e302f40469f878c6.

    Regards,
      Mark

--8<---------------cut here---------------start------------->8---
PASS: input
XKB: Failed to compile keymap
Keyboard initialization failed. This could be a missing or incorrect setup of xkeyboard-config.

Fatal server error:
Failed to activate core devices.

Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.

FAIL: xtest
PASS: misc
PASS: fixes
PASS: xfree86
========================================================================
1 of 9 tests failed
Please report to https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
========================================================================
make[3]: *** [check-TESTS] Error 1
make[3]: Leaving directory `/tmp/nix-build-xorg-server-1.12.2.drv-0/xorg-server-1.12.2/test'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/tmp/nix-build-xorg-server-1.12.2.drv-0/xorg-server-1.12.2/test'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/tmp/nix-build-xorg-server-1.12.2.drv-0/xorg-server-1.12.2/test'
make: *** [check-recursive] Error 1
phase `check' failed after 2 seconds
builder for `/nix/store/kgpvhgf4rin7syv7cxid78vmlckqqyfg-xorg-server-1.12.2.drv' failed with exit code 1
@ build-failed /nix/store/kgpvhgf4rin7syv7cxid78vmlckqqyfg-xorg-server-1.12.2.drv - 1 builder for `/nix/store/kgpvhgf4rin7syv7cxid78vmlckqqyfg-xorg-server-1.12.2.drv' failed with exit code 1
guix package: error: build failed: build of `/nix/store/kgpvhgf4rin7syv7cxid78vmlckqqyfg-xorg-server-1.12.2.drv' failed
--8<---------------cut here---------------end--------------->8---